import { APIGatewayProxyEvent, APIGatewayProxyResult, Context } from 'aws-lambda';
import { ObjectSchema } from 'joi';
import middy from '@middy/core';
type ApiGatewayHandlerFn = (event: APIGatewayProxyEvent, context: Context) => Promise<APIGatewayProxyResult>;
export interface MiddyfyOptions<THandler> {
    handler: THandler;
    eventSchema?: ObjectSchema;
}
export declare const middyfyAPIGateway: (options: MiddyfyOptions<ApiGatewayHandlerFn>) => middy.MiddyfiedHandler<Omit<APIGatewayProxyEvent, "body"> & {
    body: import("type-fest").JsonValue;
} & APIGatewayProxyEvent & {
    multiValueQueryStringParameters: import("aws-lambda").APIGatewayProxyEventMultiValueQueryStringParameters;
    pathParameters: import("aws-lambda").APIGatewayProxyEventPathParameters;
    queryStringParameters: import("aws-lambda").APIGatewayProxyEventQueryStringParameters;
}, APIGatewayProxyResult, Error, Context>;
export {};
